# $Revision: 1.15 $, $Date: 2011/07/11 20:31:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Memcached
Summary:	Cache::Memcached - shared data cache using memcached
Summary(pl.UTF-8):	Cache::Memcached - współdzielone cache dla danych przy użyciu memcached
Name:		perl-Cache-Memcached
Version:	1.29
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d255a6b3937b77c5e9d0f3fffb5bcfbd
URL:		http://www.danga.com/memcached/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-String-CRC32
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Perl API for memcached, a distributed memory cache daemon.

memcached is a high-performance, distributed memory object caching
system, generic in nature, but intended for use in speeding up dynamic
web applications by alleviating database load.

%description -l pl.UTF-8
To jest perlowe API dla memcached - rozproszonego demona cache'owania
pamięci.

memcached to wysoko wydajny, rozproszony system cache'owania obiektów,
ogólny w swojej naturze, ale stworzony z myślą o używaniu do
przyspieszenia dynamicznych aplikacji WWW poprzez zmniejszenie
obciążenia bazy danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/Cache/Memcached.pm
%dir %{perl_vendorlib}/Cache/Memcached
%{perl_vendorlib}/Cache/Memcached/GetParser.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cache-Memcached.spec,v $
Revision 1.15  2011/07/11 20:31:02  marti
- up to 1.29

Revision 1.14  2009/10/26 14:44:30  amateja
- updated to 1.28

Revision 1.13  2009/10/16 11:36:04  amateja
- updated to 1.27

Revision 1.12  2009/06/15 12:17:59  amateja
- updated to 1.26

Revision 1.11  2007/12/19 15:30:19  zbyniu
- up to 1.24

Revision 1.10  2007-05-21 16:31:19  glen
- update to 1.21

Revision 1.9  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.7  2006/07/26 18:16:34  glen
- 1.18

Revision 1.6  2006/05/09 06:39:21  glen
- 1.17, use perl cleanup automatics

Revision 1.5  2006/01/22 11:45:30  agaran
- up to 1.15, rel 0.1

Revision 1.4  2005/05/02 22:21:36  qboosh
- pl

Revision 1.3  2005/05/01 09:36:32  ankry
- kill OPTIMIZE

Revision 1.2  2005/05/01 09:27:19  glen
- noarch

Revision 1.1  2005/05/01 09:11:13  glen
- new
